Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 145913 - Support for Symfony
Support for Symfony
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Symfony
8.1
All All
: P1 with 555 votes (vote)
: Dev
Assigned To: Tomas Mysik
issues@php
1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 13:37 UTC by Petr Pisl
Modified: 2018-03-12 08:39 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2008-09-02 13:37:06 UTC
Symfony is a full-stack framework, a library of cohesive classes written in PHP5. 

See: http://www.symfony-project.org/
Comment 1 sotocan 2008-09-03 22:53:14 UTC
At least code completion and yml editing support, please! 
Comment 2 skoop 2008-09-05 13:36:52 UTC
I support that. code completion and yml editing support (especially the latter) would be great
Comment 3 sunnyblack 2008-09-10 16:04:56 UTC
support for Code completation, PakeTask , CLI and yml would be great
Comment 4 Petr Pisl 2008-09-10 16:41:09 UTC
Today I have added yaml editor to the php build.
Comment 5 khaoz 2008-09-10 17:43:33 UTC
Nice. Ty ppisl. Yaml supporte is very welcome.
Comment 6 Petr Pisl 2008-09-11 10:31:17 UTC
There is an entry about YAML support http://blogs.sun.com/netbeansphp/entry/yaml_support_is_available_in
Comment 7 dannyrulez 2008-09-11 14:09:09 UTC
Symfony is perfect for this
Comment 8 puentesdiaz 2008-09-11 14:34:46 UTC
I think that is very necesary have a good support for Xdebug!!!
Also, autocomplete fo code, but when i have:

$father = $obj1->(Crtl+Space).....getFatherObject()

also can do

$fathername = $obj1->(Crtl+Space).....getFatherObject()->(Crtl+Space).....getName()

And if it's possible have these last feature join to panel inspector of Xdebug better!!



(i hope that understand what i wnat say!) :)
Comment 9 Petr Pisl 2008-09-11 15:58:17 UTC
the code completion things, which you describe should be in the latest builds. Which build do you use?

Comment 10 prometheas 2008-09-11 20:31:48 UTC
I'd love to see a little bit of template parameter passing intelligence applied so that include_partial() could
intelligently remind the developer of the parameters the called template would like to receive.
Comment 11 n1k0 2008-09-11 21:25:36 UTC
Yes, it would be really great to see such a powerful framework supported by this amazing IDE
Comment 12 kerihenare 2008-09-11 23:10:59 UTC
What more could you want in a PHP Framework?
Comment 13 e 2008-09-12 00:49:03 UTC
Symfony is the most complete framework out there, and has the most potential.
Comment 14 janak 2008-09-12 08:17:06 UTC
Symfony would be better choice for it.
Comment 15 gyftaki 2008-09-12 10:35:37 UTC
I trying to add a vote for this issue, but it doesn't seem to add it! So +1 here
Comment 16 anzap 2008-09-12 13:35:42 UTC
Symfony support would be just great. especially now that symfoclipse does not get maintained for new releases.  
Comment 17 anzap 2008-09-12 13:39:21 UTC
my vote does not seem to be added, but +1 from me. 
Comment 18 julius_s 2008-09-12 16:28:32 UTC
Symfony support would be really great!
A xdebug debugging environment would be georgious, too! :-D
Comment 19 leothomas 2008-09-13 05:27:15 UTC
Symfony support for code completion, refactoring, tasks and ... tag helpers with forms.
Comment 20 marciowelter 2008-09-13 12:56:55 UTC
What do you think about? It's possible?

in NetBeans:
-> Project tree
-> left-click on files and enable "Symfony" in option menu
   (equal subversion and anothers plugins)
-> if schema.yml selected then enable "Propel:Build-model" in "symfony" item, 
   this option call "symfony propel:build-model", 
   show output in IDE and refresh files in project tree
-> schema.yml enable too, "Propel:Build-sql", 
   this option call "symfony propel:build-sql", with same results.
-> if selected files or directory under /lib/model enable "Propel:Build-forms" 
   and generate "forms" to the selected file.
-> if selected files or directory under /lib/forms enable "Propel:Generate-CRUD"
   and generate "modules" to the selected file.
-> All the configurations, as "theme", "connection" and another functions parameters 
   can be in unique place in "symfony", "properties" on toolbar IDE Netbeans.

This is just a begin and other good ideas will born.

The little things as options above will could turn Netbeans, the favorite IDE to PHP developers 
and others developers. Because the bored works is easier and quickly.
Comment 21 mulot 2008-09-13 16:47:51 UTC
I vote for Symfony support, and add a comment : support symfony with Propel AND Doctrine.
Comment 22 Petr Pisl 2008-09-15 00:43:32 UTC
Hi marciowelter, what you describe it's possible, just we need some time. :)
Comment 23 r0kawa 2008-09-15 23:31:47 UTC
CakePHP is a full-stack framework, a library of cohesive classes written in PHP4 and PHP5. 
Comment 24 hartym 2008-09-15 23:35:31 UTC
please don't change an issue this way, better create another ticket for it.
Comment 25 sherifgmansour 2008-09-16 07:50:29 UTC
Would be great to have Symfony on it.
At the moment a lot of Symfony developers are developing with Eclipse + PDT + Yml Editor plugins, would be good for Sun
to get one up on this against eclipse.
Comment 26 marciowelter 2008-10-13 19:13:07 UTC
Does anybody have some news about this feature?
Comment 27 Petr Pisl 2008-10-14 14:09:40 UTC
Now we are starting to identify the features, which should be implemented in next version of NetBeans. Symfony is one of
them. 

Also there is a possibility that some minimal version of editor support I will create for NB 6.5. 
Comment 28 marciowelter 2008-11-13 11:56:29 UTC
Do you have other news for us?   

Netbeans e Symfony will be a super tool for PHP Developers!!!   

Good Job!
Comment 29 Petr Pisl 2008-11-13 12:20:45 UTC
The news is that the Symfony support will be part of NetBeans 7.0. We are going to start work on it very soon. I hope
that it will be a part of continual build this year and community can comment the support and work with us to finish it
in the best possible quality and usability.
Comment 30 rmm 2009-02-07 11:38:10 UTC
Is there any information for which milestone this feature is scheduled ?
Comment 31 alaa007 2009-02-11 09:58:33 UTC
This gonna be the best thing may ever happen for symfony and their developers!!!
Comment 32 elektordi 2009-02-12 14:53:52 UTC
An other interesting functionality could be an UML -> Propel YAML generator !

And thanks for devs who will add Symfony support to NB...
Comment 33 buzzfr 2009-02-25 08:57:36 UTC
yaml editor + code completion + PakeTask + CLI would be awesome !!
Comment 34 kingpin393 2009-03-08 04:15:28 UTC
PHPEdit has symfony support - haven't tried it but I watched the screencast:
http://www.waterproof.fr/~shordeaux/phpedit-3.2/screencast/en/

Looks impressive.  A lot of those features would be great in netbeans - especially the task gui.
Comment 35 ernie242 2009-04-06 21:26:54 UTC
Symfony + Doctrine
Comment 36 lassons 2009-04-22 08:50:02 UTC
NetBeans is the best IDE so At least code completion and yml editing support, please for being in the move ! 
Comment 37 rodush 2009-04-22 22:07:32 UTC
1
Comment 38 vassilkalkov 2009-04-30 11:03:39 UTC
At least code completion and yml editing support and CLI please! 
Comment 39 andrei1976 2009-06-30 13:28:23 UTC
Running symfony tasks without leaving the IDE would be great!
Comment 40 artworx 2009-07-02 12:14:52 UTC
I think completion for doctrine classes would come very handy. Writing long queries when the number of tables is 100+ 
is an exercise in using grep to find the correct table fields.
Comment 41 Tomas Mysik 2009-07-06 09:53:57 UTC
Initial support added.
http://blogs.sun.com/netbeansphp/entry/initial_symfony_support
Comment 42 jmagave 2009-08-10 03:48:21 UTC
I really enjoy NetBeans, and having a php.symfony support is great.
Comment 43 zhekanax 2009-08-14 06:23:37 UTC
> Platform: Macintosh (x86)
> OS: Mac OS X
What it means? No support for linux/windows? I think it's completely wrong and can't be true.
Comment 44 muisei 2009-08-28 09:45:33 UTC
A necessary feature 
Comment 45 Tomas Mysik 2009-11-25 02:14:41 UTC
Symfony is supported by NetBeans 6.8.
Comment 46 nabzer 2016-07-24 20:10:31 UTC
Support to Symfony 3
Comment 47 abu_gurnah 2018-03-12 08:39:11 UTC
we need support for symfony 4 please


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo